• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Supported Elasticsearch Version

#1
Hello!

I developed my site on a dev-server with Elasticsearch 1.1.2 - everything worked fine.
Today I moved the site to our live-server where we have Elasticsearch 1.3.2!
I had some very strange bugs with ES1.3.2 so I switched back to 1.1.2.

Are there any known issues with ES1.3.2 - is this version supported? What is the latest supported version of ES?
I only found that info:
XenForo Enhanced Search requires XenForo 1.1.1 or newer and elasticsearch 0.16.0 or newer.
https://xenforo.com/help/enhanced-search/

Thank you!
Harald
 

Mike

XenForo developer
Staff member
#2
The latest version of Elasticsearch should work with the latest version of the Enhanced Search add-on. If you upgraded Elasticsearch and aren't running the latest version of the add-on, you may run into some issues.
 
#3
I am using XenForo Enhanced Search 1.1.1. With Elasticsearch 1.1.2 everything worked fine.(y)
XenForo Enhanced Search 1.1.1. with Elasticsearch 1.3.2 -> strange behavior! :eek::censored::cry:
 
#5
I use a lot of custom facets. Mapped strings/arrays are getting cropped in ES 1.3.2.
For example (german words): "hotelbesuch" instead of "hotelbesuche", "begleit" instead of "begleitung"...

I switched back to ES 1.1.2 (without changing ANY code) and after rebuilding the index the facets worked...
Strange...
 

Ludachris

Well-known member
#6
Any idea which version of ElasticSearch would still be compatible with Enhanced Search 1.0.3? I plan to upgrade the Enhanced Search add-on soon but need to upgrade ElasticSearch now due to a vulnerability, according to my host. I just don't want to break it by upgrading to a version that isn't compatible.

Or, maybe I should just confirm that I can upgrade Enhanced Search to the latest version without upgrading my XF version (still on 1.3).
 

Ludachris

Well-known member
#9
I went ahead and upgraded XFES to the latest version and had the host upgrade Elasticsearch to 1.4 last night. So far no errors in the ACP logs. Thanks guys.